body {
    font-family: Arial, sans-serif;
    background: #f9f9f9;
    padding: 20px;
}

.container {
    max-width: 900px;
    margin: auto;
    background: white;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 0 15px rgba(0,0,0,0.1);
}

h1 {
    margin-bottom: 20px;
    font-size: 1.5em;
    color: #1c4459;
    text-align:center;
}

form {
    display: flex;
    flex-direction: column;
}

label {
    margin: 10px 0 5px;
}

input, select, button {
    padding: 10px;
    font-size: 1em;
    margin-bottom: 15px;
}

button {
    background-color: #ca4a41;
    padding: 12px 24px;
    border-radius: 40px;
    margin-top: 24px !important;
    line-height: 1.4;
    width: fit-content;
    display: inline-block;
    color: #fff;
    border: 0;
    text-decoration: none !important;
    transition: .3s;
}

button:hover {
    background-color: #8e322b !important;
    cursor: pointer;
}

.form-buttons {
    display: flex;
    align-items: center;
    gap: 16px;
}

.legend-box {
    background-color: #d0eaff;
    padding: 6px 12px;
    border-radius: 6px;
    margin-left: 20px;
    display: inline-block;
}

table {
    border-collapse: collapse;
    margin: 30px 0;
    font-size: 14px;
}


table th, table td {
    border: 1px solid #000;
    text-align: center;
}

.red-cell {
    background-color: #faa !important;
    border: 2px solid #8B0000FF !important;
}

.weekend {
    background-color: #d0eaff;
}

.footer {
    margin-top: 40px;
    text-align: center;
    font-size: 0.9em;
    color: #555;
}

@media print {
    body {
        background: white;
        color: black;
        margin: 0;
        padding: 0;
    }

    .container {
        max-width: 100%;
        padding: 0;
        margin: 0;
        box-shadow: none;
        border: none;
    }

    h1, h3, h4 {
        page-break-after: avoid;
        page-break-inside: avoid;
    }

    table {
        width: 100%;
        font-size: 10pt;
        border-collapse: collapse;
        margin-bottom: 10px;
        page-break-inside: avoid;
    }

    th, td {
        border: 1px solid black;
        padding: 4px;
        text-align: center;
    }

    .red-cell {
        background-color: #faa !important;
        border: 2px solid red !important;
    }

    .weekend {
        background-color: #d0eaff;
    }

    button, form, .noprint {
        display: none !important;
    }
}
